Subject: Re: [PATCH} ARP auto-sizing for 2.4.24 - 2.4.26-pre3

From: "David S. Miller" <[email-masked]>
Date: Mon, 15 Mar 2004 13:44:12 -0800

Two problems:

1) Don't do the config option thing if we're going to auto-size.

2) Your ram_mb calcs use PAGE_SIZE as a term, and therefore assume
   it has a value of 4096 or somesuch.  Please remove this assumption.

To be honest, while I'm not against making the tables a little bigger,
for ARP "WHO THE FUCK CARES" if another 100 cycles or so are burnt on
a lookup.  What setup do you have where ARP performance is a real issue?

Your original email was nice in describing the fact that ARP does not
scale, but you've made no foundation on which to erect a claim that
scalability for ARP (and thus the added complexity/changes) is even
necessary.